#include <iostream>
#include <iomanip>
using namespace std;
int main()
{
	int BrojFrilensera, ZaradaFrilensera[2 * 100000], ZbirZaradaFrilensera = 0;
	double  MaksimalanPrihvatljiviPorez[2 * 100000], ZaradaDrzave, NajvecaZaradaDrzave = 0;
	cin >> BrojFrilensera;
	for (int i = 0; i < BrojFrilensera; i++)
	{
		cin >> ZaradaFrilensera[i] >> MaksimalanPrihvatljiviPorez[i];
		ZbirZaradaFrilensera += ZaradaFrilensera[i];
	}
	
	int Pomocna = ZbirZaradaFrilensera;
	for (int i = 0; i < BrojFrilensera; i++)
	{
		ZbirZaradaFrilensera = Pomocna;
		for (int j = 0; j < BrojFrilensera; j++)
		{
			if (MaksimalanPrihvatljiviPorez[i] > MaksimalanPrihvatljiviPorez[j])
			{
				ZbirZaradaFrilensera -= ZaradaFrilensera[j];
			}
		}
		ZaradaDrzave = ZbirZaradaFrilensera * MaksimalanPrihvatljiviPorez[i] / 100;
		if (ZaradaDrzave > NajvecaZaradaDrzave)
		{
			NajvecaZaradaDrzave = ZaradaDrzave;
		}
	}

	cout << setprecision(4) << fixed << NajvecaZaradaDrzave;


}